@echo off
rem Sample script to be used for executing APClient.bin to inject notifications
rem into xMatters for CA Service Desk or launch batch sync

rem defaultPath should be set to the location of APClient.bin.exe which is
rem installed with the Integration Agent.
rem (DEFAULT: C:\Program Files\AlarmPointSystems\IntegrationAgent\bin)
SET DEFAULT_PATH=C:\Program Files\AlarmPointSystems\IntegrationAgent\bin

rem integrationService should be set to the name of the integration service
rem the CA Service Desk Integration is defined as. (DEFAULT: caservicedesk)
SET INTEGRATION_SERVICE=caservicedesk

SET AP_CLIENT=APClient.bin.exe

rem If %1 is set this is an event injection, otherwise this is a batch sync.
SET MAP_DATA_PARAMETER=%1
IF NOT DEFINED %MAP_DATA_PARAMETER SET MAP_DATA_PARAMETER=sync

"%DEFAULT_PATH%/%AP_CLIENT%" --map-data %INTEGRATION_SERVICE% %MAP_DATA_PARAMETER%
echo "Finished running xmattersIntegration.bat"