/******************************************************************************/
/*                Start of Data Sync Group Member Object Definition           */
/******************************************************************************/
var GroupMember = xMattersWS.extend({

  LOG_SOURCE: "dataSyncGroupMember.js: ",

  /**
   * Initialize the class variables
   */
  init: function()
  {
    this._super();    
    this.delay = 0;
    this.inRotation = false;
    this.targetName = "";
    this.type = "PERSON";
  },

  /**
   * Returns a XML String representation of the Object
   * @return XML formatted String
   */
  toString: function()
  {
    return "<GroupMember>" + 
           "<delay>" + this.delay + "</delay>" +
           "<acinRotationtive>" + this.inRotation + "</inRotation>" +
           "<targetName>" + this.targetName + "</targetName>" +
           "<type>" + this.type + "</type>" +
           "</GroupMember>";
  }
});
