<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %> 

<fmt:setBundle basename="resources/caservicedesk/caservicedesk" var="msg"/>
<div id="footer">
  <div class="footer-links">
    <c:if test="${empty param.menu}">
      <a href="<c:url value='menu.jsp'/>"><fmt:message key="screen.home" bundle="${msg}"/></a>&nbsp;-&nbsp; 
    </c:if>
    <c:if test="${fn:length(mobileGatewaySession.user.accessibleServices) > 1}">
      <a href="<c:url value='../listServices.jsp'/>"><fmt:message key="screen.services" bundle="${msg}"/></a>&nbsp;-&nbsp; 
    </c:if>
    <a href="<c:url value='../logout.jsp'/>"><fmt:message key="screen.logout" bundle="${msg}"/></a>
  </div>
</div>
